/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Marca;
import com.rjconsultores.ventaboletos.entidad.ProdMarca;

/**
 * 
 * @author Administrador
 */
public class RenderCyberViajeProdMarca implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		ProdMarca prodMarca = (ProdMarca) o;

		Listcell lc = null;

		Marca marca = prodMarca.getMarca();
		if (marca != null) {
			lc = new Listcell(marca.getDescmarca());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		lstm.setAttribute("data", prodMarca);
	}
}
